Acknowledge the consent notification
Notification of consents, in cases of consent approval, revocation and expiration. Notified by CM earlier via Gateway API - /api/v3/consent/request/hip/notify
Authorizations
Authorizationbearer tokenRequiredThe access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.
Headers
REQUEST-IDstringRequiredUnique UUID for track the end to end request transaction
TIMESTAMPstringRequiredActual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds
X-CM-IDstringRequiredSuffix of the consent manager to which the request was intended
Body
acknowledgementobjectRequiredacknowledgement.statusstringRequiredThe status of the notification. Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$"
acknowledgement.consentIdstringRequiredThe consent artefact id. Should be valid UUID. Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$";
errorobjectThe error code and message, if any occurred.
error.codestringRequiredABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.
error.messagestringRequiredThe appropriate error message
responseobjectRequiredThe request id is from the /consent/request/hip/notify callback
response.requestIdstringRequiredThe requestId that was passed. it must be in Alpha numeric and - in middle and Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"
Responses
401Unauthorized
codestring900901 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.
messagestringdescriptionstring404Not Found
errorobjectThe error code and message, if any occurred.
error.codestringRequiredABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.
error.messagestringRequired500Internal Server Error
codestring900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.
messagestringdescriptionstring503Service Unavailable
codestringRequiredABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.
messagestringRequired